slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPType

String with the name of a nonlinear eigensolver

### Synopsis

    typedef const char* NEPType;
    #define NEPRII       "rii"
    #define NEPSLP       "slp"
    #define NEPNARNOLDI  "narnoldi"
    #define NEPCISS      "ciss"
    #define NEPINTERPOL  "interpol"
    #define NEPNLEIGS    "nleigs"

### See Also

NEPSetType(), NEP

### Level

beginner

### Location

include/slepcnep.h
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages